import { useQuery } from '@tanstack/react-query';
import { fetchRepositories } from './utils/_handleRepository';
/**
 * @param {string} usernameGitHub - Insert your username GitHub Ex.: https://github.com/USERNAME
 * @param {string} keyWordDeploy - Insert a keyword chosen by you. - This key is responsible for managing your projects on GitHub in topics field Ex.: https://github.com/DIGOARTHUR/github-automated-repos#--about-library-.
 * @returns {(IGitHubAutomatedRepos)} - repositoriesData[] with the properties: name, topics[], html_url, description, id, homepage, banner[]. Loading to await for data. Error for a bad request.
 */
export function useGitHubAutomatedRepos(usernameGitHub, keyWordDeploy) {
    return useQuery({
        queryKey: ["githubRepos", usernameGitHub, keyWordDeploy],
        queryFn: () => fetchRepositories(usernameGitHub, keyWordDeploy),
    });
}
