export interface IGithubRepos {
    name: string;
    topics: string[];
    html_url: string;
    description: string;
    id: number;
    homepage: string;
    banner: string[];
}
/**
 * @param {string} usernameGitHub - Insert your username GitHub Ex.: https://github.com/USERNAME
 * @param {string} keyWordDeploy - Insert a keyword chosen by you. - This key is responsible for managing your projects on GitHub in topics field Ex.: https://github.com/DIGOARTHUR/github-automated-repos#--about-library-.
 * @param {React.Dispatch<React.SetStateAction<IGithubRepos[]>} setRepositoriesData  - Insert <useState> function to receive data from the GitHub API linked to the keyword. !! Don't forget to enter keywords in GitHub projects. !!
 * @param {React.Dispatch<React.SetStateAction<boolean>} setLoading  - Insert <useState> function to receive loading states.
 * @param {React.Dispatch<React.SetStateAction<string>} setError - Insert <useState> function to receive request error message
 */
export declare const fetchRepositories: (usernameGitHub: string, keyWordDeploy: string) => Promise<IGithubRepos[]>;
export declare function _handleRepository(usernameGitHub: string, keyWordDeploy: string): void;
